Bug 506052 - Send message with PS attachment. The attachment will change after received.
Send message with PS attachment. The attachment will change after received.
Status: CLOSED UPSTREAM
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: thunderbird (Show other bugs)
5.3
All Linux
low Severity medium
: rc
: ---
Assigned To: Gecko Maintainer
desktop-bugs@redhat.com
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-06-15 08:11 EDT by Qunfang Zhang
Modified: 2009-06-17 18:52 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-06-17 18:52:03 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Mozilla Foundation 163783 None None None Never

  None (edit)
Description Qunfang Zhang 2009-06-15 08:11:14 EDT
Description of problem:
Send message with PS(Postscript) attachment. The attachment will change after received.

Version-Release number of selected component (if applicable):
thunderbird-2.0.0.22-2.el5_3

How reproducible:
Always

Steps to Reproduce:
1.Launch thunderbird
2.compose a new email
3.attach an image file which type is PS
4. send it to another email account 

Actual results:
The file have changed. (Using "diff" command to check the original file and the received one)

Expected results:
The PS type of file could be sent, received and opened successfully. 

Additional info:
Comment 1 Matěj Cepl 2009-06-16 12:36:18 EDT
Could you please paste here the output of diff? The only thing I see here is adding EOL to the end of the file, which is OK in case of a text file (which application/postscript actually is).
Comment 2 Qunfang Zhang 2009-06-16 22:00:26 EDT
(In reply to comment #1)
> Could you please paste here the output of diff? The only thing I see here is
> adding EOL to the end of the file, which is OK in case of a text file (which
> application/postscript actually is).  

I'm sorry for my unclear description. After my using "diff" commond to check the original file and the received one, there's the output:
687c687
<%%EOF
---
>%%EOF
\No newline at the end of file
Comment 3 Matěj Cepl 2009-06-17 18:52:03 EDT
We found this bug in the upstream database (https://bugzilla.mozilla.org/show_bug.cgi?id=163783) and believe that it is more appropriate to let it be resolved upstream.

The difference is the same as what I could reproduce here. Given that Postscript is an ASCII file, adding EOL to the end of the file changes nothing. I did immerse myself to the RFC MIME definitions and found that they don't deal with this situation at all. So this bug is either NOATBUG or UPSTREAM. I voted for the second option.

We will continue to track the issue in the centralized upstream bug tracker, and will review any bug fixes that become available for consideration in future updates.

Thank you for the bug report.

Note You need to log in before you can comment on or make changes to this bug.